Page MenuHomePhabricator

Bayesian Spam Filter
Closed, ResolvedPublic

Description

Author: anubhav914

Description:
Creating an offline and online spam classifier based on token filtering using Bayesian techniques and CRM114 Discriminator. For more info, check out here

http://www.mediawiki.org/wiki/User:Anubhav_iitr/Bayesan_spam_filter


Version: unspecified
Severity: enhancement

Details

Reference
bz47207

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:35 AM
bzimport set Reference to bz47207.
Qgil added a comment.Sep 17 2013, 4:12 PM

GSoC "soft pencils down" date was yesterday and all coding must stop on 23 September. Has this project been completed?

anubhav914 wrote:

I am almost done with my code. I have pushed my code on to gerrit. There
were several minor changes suggested by Platonides, of which I have
fixed most.
Some I had to discuss with Platonides so I have mailed him(sadly I am
unable to catch him on IRC) back.

I am hoping it should be over by Friday.

Changes in Gerrit

https://gerrit.wikimedia.org/r/#/c/83619/
https://gerrit.wikimedia.org/r/#/c/83673/

Qgil added a comment.Oct 22 2013, 7:34 PM

If you have open tasks or bugs left, one possibility is to list them at https://www.mediawiki.org/wiki/Google_Code-In and volunteer yourself as mentor.

We have heard from Google and free software projects participating in Code-in that students participating in this programs have done a great work finishing and polishing GSoC projects, many times mentores by the former GSoC student. The key is to be able to split the pending work in little tasks.

More information in the wiki page. If you have questions you can ask there or you can contact me directly.

anubhav / Quim:
All changes are merged here - what is left to do? Should this ticket stay open?

Qgil added a comment.Feb 28 2014, 6:44 PM

Maybe Anubhav, Chris or Platonides have a different opinion, but from my point of view the GSoC was marked as completed, https://www.mediawiki.org/wiki/Extension:BayesianFilter exists, I remember Chris saying that the extension is functional, there are no bugs linked here...

Looks like FIXED to me.